JettyWebServer (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer.webserver.impl.jetty

## Class JettyWebServer

- java.lang.Object
- - org.gcube.messaging.common.consumer.webserver.impl.jetty.JettyWebServer

- All Implemented Interfaces:
    WebServer

      public class JettyWebServer
      extends Object
      implements WebServer

  Jetty Web webserver
  Author:
    Luca Frosini (ISTI-CNR), Andrea Manzi(CERN)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.gcube.common.core.utils.logging.GCUBELog` | `logger` Class logger.
    `protected static JettyWebServerLogger` | `webServerLogger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyWebServer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.mortbay.jetty.handler.ResourceHandler` | `getResourceHandler()`
    `void` | `initDefaults(String basePath, int port)` Initialize the WebServer with default connector (SelectChannelConnector) on specified port and with default Handler Initialize the WebServer
    `void` | `setConnectors(org.mortbay.jetty.Connector[] connectors)`
    `void` | `setHandlers(org.mortbay.jetty.Handler[] handlers)`
    `void` | `setResourceHandler(org.mortbay.jetty.handler.ResourceHandler resourceHandler)`
    `void` | `startServer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.gcube.common.core.utils.logging.GCUBELog logger

      Class logger.

    - #### webServerLogger

          protected static final JettyWebServerLogger webServerLogger

  - ### Constructor Detail

    - #### JettyWebServer

          public JettyWebServer()

  - ### Method Detail

    - #### initDefaults

          public void initDefaults(String basePath,
                          int port)

      Initialize the WebServer with default connector (SelectChannelConnector) on specified port and with default Handler Initialize the WebServer
      Specified by:
        `initDefaults` in interface `WebServer`
      Parameters:
        `basePath` - Base Server Path
        `port` - Server Port

    - #### setConnectors

          public void setConnectors(org.mortbay.jetty.Connector[] connectors)

      Parameters:
        `connectors` - Connectors

    - #### setHandlers

          public void setHandlers(org.mortbay.jetty.Handler[] handlers)

      Parameters:
        `handlers` - Handlers

    - #### startServer

          public void startServer()
                           throws Exception

      Specified by:
        `startServer` in interface `WebServer`
      Throws:
        `Exception` - if fails

    - #### getResourceHandler

          public org.mortbay.jetty.handler.ResourceHandler getResourceHandler()

    - #### setResourceHandler

          public void setResourceHandler(org.mortbay.jetty.handler.ResourceHandler resourceHandler)

Copyright © 2014. All Rights Reserved.